Package org.apache.storm.generated

# Class LSWorkerHeartbeat

java.lang.Object
org.apache.storm.generated.LSWorkerHeartbeat

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<LSWorkerHeartbeat>`, `org.apache.storm.thrift.TBase<LSWorkerHeartbeat,LSWorkerHeartbeat._Fields>`, `org.apache.storm.thrift.TSerializable`

@Generated("Autogenerated by Thrift Compiler (0.19.0)") public class LSWorkerHeartbeat extends Object implements org.apache.storm.thrift.TBase<LSWorkerHeartbeat,LSWorkerHeartbeat._Fields>, Serializable, Cloneable, Comparable<LSWorkerHeartbeat>

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `LSWorkerHeartbeat._Fields`
  The set of fields this struct contains, along with convenience methods for finding and manipulating them.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Map<LSWorkerHeartbeat._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>`
  `metaDataMap`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LSWorkerHeartbeat()`
  `LSWorkerHeartbeat(int time_secs, String topology_id, List<ExecutorInfo> executors, int port)`
  `LSWorkerHeartbeat(LSWorkerHeartbeat other)`
  Performs a deep copy on other.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add_to_executors(ExecutorInfo elem)`
  `void`
  `clear()`
  `int`
  `compareTo(LSWorkerHeartbeat other)`
  `LSWorkerHeartbeat`
  `deepCopy()`
  `boolean`
  `equals(Object that)`
  `boolean`
  `equals(LSWorkerHeartbeat that)`
  `LSWorkerHeartbeat._Fields`
  `fieldForId(int fieldId)`
  `List<ExecutorInfo>`
  `get_executors()`
  `Iterator<ExecutorInfo>`
  `get_executors_iterator()`
  `int`
  `get_executors_size()`
  `int`
  `get_port()`
  `int`
  `get_time_secs()`
  `String`
  `get_topology_id()`
  `Object`
  `getFieldValue(LSWorkerHeartbeat._Fields field)`
  `int`
  `hashCode()`
  `boolean`
  `is_set_executors()`
  Returns true if field executors is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_port()`
  Returns true if field port is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_time_secs()`
  Returns true if field time_secs is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_topology_id()`
  Returns true if field topology_id is set (has been assigned a value) and false otherwise
  `boolean`
  `isSet(LSWorkerHeartbeat._Fields field)`
  Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
  `void`
  `read(org.apache.storm.thrift.protocol.TProtocol iprot)`
  `void`
  `set_executors(List<ExecutorInfo> executors)`
  `void`
  `set_executors_isSet(boolean value)`
  `void`
  `set_port(int port)`
  `void`
  `set_port_isSet(boolean value)`
  `void`
  `set_time_secs(int time_secs)`
  `void`
  `set_time_secs_isSet(boolean value)`
  `void`
  `set_topology_id(String topology_id)`
  `void`
  `set_topology_id_isSet(boolean value)`
  `void`
  `setFieldValue(LSWorkerHeartbeat._Fields field, Object value)`
  `String`
  `toString()`
  `void`
  `unset_executors()`
  `void`
  `unset_port()`
  `void`
  `unset_time_secs()`
  `void`
  `unset_topology_id()`
  `void`
  `validate()`
  `void`
  `write(org.apache.storm.thrift.protocol.TProtocol oprot)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### metaDataMap

    public static final Map<LSWorkerHeartbeat._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

- ## Constructor Details

  - ### LSWorkerHeartbeat

    public LSWorkerHeartbeat()

  - ### LSWorkerHeartbeat

    public LSWorkerHeartbeat(int time_secs, String topology_id, List<ExecutorInfo> executors, int port)

  - ### LSWorkerHeartbeat

    public LSWorkerHeartbeat(LSWorkerHeartbeat other)
    Performs a deep copy on other.

- ## Method Details

  - ### deepCopy

    public LSWorkerHeartbeat deepCopy()
    Specified by:
      `deepCopy` in interface `org.apache.storm.thrift.TBase<LSWorkerHeartbeat,LSWorkerHeartbeat._Fields>`

  - ### clear

    public void clear()
    Specified by:
      `clear` in interface `org.apache.storm.thrift.TBase<LSWorkerHeartbeat,LSWorkerHeartbeat._Fields>`

  - ### get_time_secs

    public int get_time_secs()

  - ### set_time_secs

    public void set_time_secs(int time_secs)

  - ### unset_time_secs

    public void unset_time_secs()

  - ### is_set_time_secs

    public boolean is_set_time_secs()
    Returns true if field time_secs is set (has been assigned a value) and false otherwise

  - ### set_time_secs_isSet

    public void set_time_secs_isSet(boolean value)

  - ### get_topology_id

    public String get_topology_id()

  - ### set_topology_id

    public void set_topology_id(String topology_id)

  - ### unset_topology_id

    public void unset_topology_id()

  - ### is_set_topology_id

    public boolean is_set_topology_id()
    Returns true if field topology_id is set (has been assigned a value) and false otherwise

  - ### set_topology_id_isSet

    public void set_topology_id_isSet(boolean value)

  - ### get_executors_size

    public int get_executors_size()

  - ### get_executors_iterator

    public Iterator<ExecutorInfo> get_executors_iterator()

  - ### add_to_executors

    public void add_to_executors(ExecutorInfo elem)

  - ### get_executors

    public List<ExecutorInfo> get_executors()

  - ### set_executors

    public void set_executors(List<ExecutorInfo> executors)

  - ### unset_executors

    public void unset_executors()

  - ### is_set_executors

    public boolean is_set_executors()
    Returns true if field executors is set (has been assigned a value) and false otherwise

  - ### set_executors_isSet

    public void set_executors_isSet(boolean value)

  - ### get_port

    public int get_port()

  - ### set_port

    public void set_port(int port)

  - ### unset_port

    public void unset_port()

  - ### is_set_port

    public boolean is_set_port()
    Returns true if field port is set (has been assigned a value) and false otherwise

  - ### set_port_isSet

    public void set_port_isSet(boolean value)

  - ### setFieldValue

    public void setFieldValue(LSWorkerHeartbeat._Fields field, Object value)
    Specified by:
      `setFieldValue` in interface `org.apache.storm.thrift.TBase<LSWorkerHeartbeat,LSWorkerHeartbeat._Fields>`

  - ### getFieldValue

    public Object getFieldValue(LSWorkerHeartbeat._Fields field)
    Specified by:
      `getFieldValue` in interface `org.apache.storm.thrift.TBase<LSWorkerHeartbeat,LSWorkerHeartbeat._Fields>`

  - ### isSet

    public boolean isSet(LSWorkerHeartbeat._Fields field)
    Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    Specified by:
      `isSet` in interface `org.apache.storm.thrift.TBase<LSWorkerHeartbeat,LSWorkerHeartbeat._Fields>`

  - ### equals

    public boolean equals(Object that)
    Overrides:
      `equals` in class `Object`

  - ### equals

    public boolean equals(LSWorkerHeartbeat that)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### compareTo

    public int compareTo(LSWorkerHeartbeat other)
    Specified by:
      `compareTo` in interface `Comparable<LSWorkerHeartbeat>`

  - ### fieldForId

    public LSWorkerHeartbeat._Fields fieldForId(int fieldId)
    Specified by:
      `fieldForId` in interface `org.apache.storm.thrift.TBase<LSWorkerHeartbeat,LSWorkerHeartbeat._Fields>`

  - ### read

    public void read(org.apache.storm.thrift.protocol.TProtocol iprot) throws org.apache.storm.thrift.TException
    Specified by:
      `read` in interface `org.apache.storm.thrift.TSerializable`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### write

    public void write(org.apache.storm.thrift.protocol.TProtocol oprot) throws org.apache.storm.thrift.TException
    Specified by:
      `write` in interface `org.apache.storm.thrift.TSerializable`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### validate

    public void validate() throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`